@import 'https://lp.al.to/libs/fonts/CentraleSans.css';

body {
	margin: 0;
	padding: 0;
}

.xlp * {
	font-family: 'CentraleSansRnd', sans-serif;
}

.xlp .logo-wrapper {
	display: flex;
	justify-content: center;
	padding: 20px 0;
	background-color: #000;
}

.xlp .logo-wrapper img {
	max-height: 40px;
}

.xlp h1,
.xlp h2,
.xlp h3,
.xlp h4,
.xlp h5,
.xlp h6 {
	font-weight: 900;
	letter-spacing: 1px;
	margin: 0.5em auto 0.25em;
	text-align: center;
}
.xlp .h1 {
	font-size: 10vw;
	margin: 20px 0;
}
@media (min-width: 600px) {
	.xlp .h1 {
		font-size: 55px;
	}
}
.xlp h2,
.xlp .h2 {
	font-size: 40px;
}
@media (min-width: 600px) {
	.xlp h2,
	.xlp .h2 {
		font-size: 50px;
	}
}
@media (max-width: 499px) {
	.xlp h2,
	.xlp .h2 {
		font-size: 8vw;
	}
}
.xlp h3,
.xlp .h3 {
	font-size: 24px;
}
@media (min-width: 600px) {
	.xlp h3,
	.xlp .h3 {
		font-size: 35px;
	}
}
@media (max-width: 499px) {
	.xlp h3,
	.xlp .h3 {
		font-size: 6vw;
	}
}
.xlp h4,
.xlp .h4 {
	font-size: 22px;
}
@media (min-width: 600px) {
	.xlp h4,
	.xlp .h4 {
		font-size: 24px;
	}
}
.xlp .h1,
.xlp .h2,
.xlp .h3,
.xlp .h4 {
	margin: 0.75em 0 0.25em;
}
.xlp sup {
	font-size: 50%;
}
.xlp p {
	margin: 0.25em 0 1em;
}
.xlp .lead {
	font-size: 20px;
}
@media (min-width: 600px) {
	.xlp .lead {
		font-size: 30px;
	}
}
.xlp .hidden-text {
	position: absolute !important;
	height: 1px;
	width: 1px;
	overflow: hidden;
	clip: rect(1px, 1px, 1px, 1px);
}
.xlp .text-blue {
	color: #024791;
}
.xlp .text-uppercase {
	text-transform: uppercase;
}
.xlp .small {
	font-size: 13px;
}
.xlp .font-black {
	font-weight: 900;
}
.xlp .text-center {
	text-align: center;
}
.xlp .text-left {
	text-align: left;
}
.xlp .text-center-limit-1 {
	padding-left: 18px;
	padding-right: 18px;
	font-weight: 300;
}
.xlp .text-center-limit-1 p {
	margin-left: auto;
	margin-right: auto;
	font-size: 20px;
}
.xlp .text-center-limit-2 p {
	max-width: 900px;
	margin-left: auto;
	margin-right: auto;
}
.xlp .ut-mt-small {
	margin-top: 10px;
}
.xlp .ut-mb-small {
	margin-bottom: 10px;
}
.xlp .ut-mt-none {
	margin-top: 0;
}
.xlp .ut-mb-none {
	margin-bottom: 0;
}
.xlp .ut-mt {
	margin-top: 15px;
}
@media (max-width: 959px) {
	.xlp .ut-mt {
		margin-top: -1px;
	}
}
.xlp .ut-mt-large {
	margin-top: 30px;
}
.xlp .ut-mt-xlarge {
	margin-top: 60px;
}
.xlp .ut-mt-xxlarge {
	margin-top: 50px;
}
@media (min-width: 600px) {
	.xlp .ut-mt-xxlarge {
		margin-top: 100px;
	}
}
.xlp .ut-mb-large {
	margin-bottom: 40px;
}
.xlp .ut-mb-xlarge {
	margin-bottom: 60px;
}
.xlp .ut-mb-xxlarge {
	margin-bottom: 50px;
}
@media (min-width: 600px) {
	.xlp .ut-mb-xxlarge {
		margin-bottom: 100px;
	}
}
.xlp .ut-p-large {
	padding-left: 9vw;
	padding-right: 9vw;
}
.xlp .ut-pb-large {
	padding-bottom: 4vw !important;
}
.xlp .ut-p {
	padding-left: 4vw;
	padding-right: 4vw;
}
.xlp :focus-visible {
	--focus-outline-color: #004241;
	--focus-outline-offset: 3px;
	--focus-outline-style: solid;
	--focus-outline-width: 3px;
	outline-color: var(--focus-outline-color, #05ce9f);
	outline-offset: var(--focus-outline-offset, 2px);
	outline-style: var(--focus-outline-style, solid);
	outline-width: var(--focus-outline-width, 2px);
}
.xlp a:focus-visible {
	outline-color: var(--focus-outline-color, #05ce9f);
	outline-offset: var(--focus-outline-offset, 2px);
	outline-style: var(--focus-outline-style, solid);
	outline-width: var(--focus-outline-width, 2px);
}
.xlp .skip-link:not(:focus-visible):not(:active) {
	position: absolute !important;
	width: 1px;
	height: 1px;
	overflow: hidden;
	clip: rect(1px, 1px, 1px, 1px);
}
.xlp .skip-link {
	text-decoration: underline;
	cursor: pointer;
	position: absolute;
	top: 18px;
	left: 18px;
	padding: 1rem;
	font-weight: 700;
	text-decoration: none;
	background-color: #05ce9f;
	color: #000;
}
.xlp .screen-reader {
	position: absolute !important;
	width: 1px !important;
	height: 1px !important;
	padding: 0 !important;
	margin: -1px !important;
	overflow: hidden !important;
	clip: rect(0, 0, 0, 0) !important;
	white-space: nowrap !important;
	border: 0 !important;
}
.xlp img {
	max-width: 100%;
	height: auto;
	vertical-align: bottom;
}
.xlp button {
	font-family: 'LEGOTypewell', -apple-system, system-ui, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Helvetica Neue',
		Arial, sans-serif;
	background-color: rgba(0, 0, 0, 0);
	border: none;
}
.xlp .btn,
.xlp .add-to-cart,
.xlp .buy-now {
	display: inline-flex;
	align-items: center;
	background-color: #cc0008;
	background-repeat: no-repeat;
	background-size: 18px;
	background-position: 16px center;
	background-clip: padding-box;
	padding: 4px 23px 5px 23px;
	min-height: 37px;
	font-size: 20px;
	line-height: 1;
	font-weight: bold;
	border: none;
	text-decoration: none;
	color: #fff;
	cursor: pointer;
	position: relative;
	box-sizing: border-box;
	border-radius: 7px;
}
@media (max-width: 499px) {
	.xlp .btn,
	.xlp .add-to-cart,
	.xlp .buy-now {
		font-size: 5vw;
		padding: 8px 15px;
		min-height: 13vw;
	}
}
.xlp .buy-now {
	font-size: 19px;
	min-height: 48px;
}
.xlp .btn-large {
	font-size: 28px;
	height: 70px;
	padding: 4px 32px 4px 32px;
}
@media (max-width: 499px) {
	.xlp .btn-large {
		font-size: 5vw;
	}
}
.xlp .btn-accent {
	background-color: #000;
	border-color: #000;
	color: #fff;
}
.xlp {
	font-family: sans-serif;
	box-sizing: border-box;
	min-height: 100%;
	overflow-y: initial;
	-ms-text-size-adjust: 100%;
	text-size-adjust: 100%;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}
.xlp {
	background-color: #fff;
	color: #000;
	font-family: 'LEGOTypewell', -apple-system, system-ui, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Helvetica Neue',
		Arial, sans-serif;
	font-weight: normal;
	margin: 0;
	padding: 0;
	font-size: 22px;
	line-height: 1.25;
	position: relative;
}
.xlp *,
.xlp *:before,
.xlp *:after {
	box-sizing: inherit;
}
.xlp .nfcs-row {
	display: flex;
	flex-direction: column;
	width: 100%;
}
@media (min-width: 960px) {
	.xlp .nfcs-row {
		flex-direction: row;
	}
}
.xlp .nfcs-column {
	position: relative;
	display: flex;
}
@media (min-width: 600px) {
	.xlp .nfcs-column {
		flex: 1;
	}
}
.xlp .nfcs-inner {
	margin: auto;
	align-self: center;
	padding: 7vw;
}
@media (min-width: 600px) {
	.xlp .nfcs-inner {
		padding: 15px 44px;
	}
}
.xlp .nfcs-row.reversed {
	flex-direction: column;
}
@media (min-width: 960px) {
	.xlp .nfcs-row.reversed {
		flex-direction: row-reverse;
	}
}
.xlp .footer {
	position: relative;
}
.xlp .copyright {
	font-size: 14px;
	margin: 30px 0 50px;
	text-align: center;
}
.xlp .mobile-desktop img {
	display: none;
	width: 100%;
}
@media (max-width: 599px) {
	.xlp .mobile-desktop img {
		display: block;
	}
}
.xlp .mobile-desktop img + img {
	display: none;
}
@media (min-width: 600px) {
	.xlp .mobile-desktop img + img {
		display: block;
	}
}
.xlp .layout-wrap {
	margin-left: auto;
	margin-right: auto;
	background-color: #009290;
	color: #000;
}
@media (max-width: 959px) {
	.xlp .layout-wrap {
		background-image: none !important;
	}
}
.xlp .layout-wrap .button {
	color: #fff;
}
.xlp .layout-wrap a:not(.btn) {
	color: #fff;
	display: inline-block;
}
.xlp .layout-wrap h1,
.xlp .layout-wrap h2,
.xlp .layout-wrap h3,
.xlp .layout-wrap h4,
.xlp .layout-wrap h5,
.xlp .layout-wrap h6 {
	color: #fff;
}
.xlp .layout-wrap__content {
	padding-top: 1px;
	padding-bottom: 1px;
}
@media (min-width: 960px) {
	.xlp .layout-wrap__content {
		padding: 1px 100px;
	}
}
.xlp .layout-wrap__inner-box {
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto;
}
@media (max-width: 959px) {
	.xlp .layout-wrap__inner-box header {
		margin-left: auto;
		margin-right: auto;
		padding-left: 20px;
		padding-right: 20px;
	}
}
.xlp .xmas-bg {
	background-image: url('https://lp.x-kom.pl/a/static/lego-prezenty-swiateczne/xmas-bg-01.webp');
	background-size: 100% auto;
	background-position: top;
	background-repeat: repeat-y;
}
@media (min-width: 1400px) {
	.xlp .xmas-bg {
		background-image: url('https://lp.x-kom.pl/a/static/lego-prezenty-swiateczne/xmas-bg-02.webp');
		background-size: 1920px auto;
	}
}
.xlp .xmas-bg-dekoracje {
	background-position-y: -310px;
}
.xlp .xmas-bg-dla-malucha {
	background-color: #c5e09d;
	background-size: 88px 220px;
	background-position: top center;
	background-repeat: repeat-x;
}
.xlp .xmas-bg-adults-welcome {
	background-color: #000;
	background-size: 90px 268px;
	background-position: top center;
	background-repeat: repeat-x;
}
.xlp .box-carousel {
	position: relative;
	margin-top: 20px;
}
.xlp .swiper-products {
	padding-bottom: 15px;
	overflow: hidden;
	padding: 0 0 65px;
	user-select: none;
}
@media (max-width: 959px) {
	.xlp .swiper-products {
		padding-left: 15px;
		padding-right: 15px;
		padding-bottom: 110px;
	}
}
.xlp .swiper-products .swiper {
	overflow: visible;
}
.xlp .swiper-products .swiper-slide {
	text-align: center;
	color: #000;
	font-size: 16px;
	letter-spacing: 0.04em;
	position: relative;
	padding: 0 20px 20px;
	box-sizing: border-box;
	height: auto;
	display: flex;
	flex-direction: column;
}
.xlp .swiper-products .swiper-slide::before {
	content: '';
	position: absolute;
	top: 22%;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #fff;
	border-radius: 14px;
	transition: box-shadow 0.6s ease;
}
.xlp .swiper-products .swiper-slide.swiper-slide-fully-visible:hover::before {
	box-shadow: 0 2px 14px 2px rgba(0, 0, 0, 0.35);
}
.xlp .swiper-products .swiper-slide > * {
	position: relative;
	z-index: 1;
}
.xlp .swiper-products .swiper-slide .set-number {
	margin: 4px 0 2px;
	font-weight: normal;
}
@media (max-width: 959px) {
	.xlp .swiper-products .swiper-slide .set-number {
		font-size: 18px;
	}
}
.xlp .swiper-products .swiper-slide .title {
	margin: 0 auto;
	display: flex;
	align-items: flex-start;
	justify-content: center;
	font-size: 15px;
	font-weight: bold;
	line-height: 1.25;
	flex-grow: 1;
}
@media (min-width: 600px) {
	.xlp .swiper-products .swiper-slide .title {
		min-height: 46px;
	}
}
@media (min-width: 960px) {
	.xlp .swiper-products .swiper-slide .title {
		max-width: 212px;
	}
}
@media (max-width: 959px) {
	.xlp .swiper-products .swiper-slide .title {
		font-size: 18px;
	}
}
@media (max-width: 599px) {
	.xlp .swiper-products .swiper-slide .title {
		margin-bottom: 20px;
	}
}
.xlp .swiper-products .swiper-slide .button {
	margin: 10px 0 0;
}
.xlp .swiper-products .swiper-slide .price {
	margin: 5px 0 0;
	font-weight: bold;
}
.xlp .swiper-products .swiper-slide .image {
	display: flex;
	align-items: flex-end;
	justify-content: center;
	position: relative;
	margin-top: 10px;
	margin-bottom: 2px;
	margin-left: auto;
	margin-right: auto;
}
.xlp .swiper-products .swiper-slide .image img {
	max-height: 100%;
}
.xlp .swiper-products-alt .swiper-slide::before {
	top: 0;
}
.xlp {
	--swiper-theme-color: #00afb2;
	--swiper-pagination-bullet-inactive-color: #00afb2;
	--swiper-pagination-color: #00696b;
	--swiper-pagination-bullet-size: 19px;
	--swiper-pagination-bullet-inactive-opacity: 1;
	--swiper-pagination-bottom: -50px;
	--swiper-pagination-bullet-horizontal-gap: 8px;
}
@media (max-width: 599px) {
	.xlp {
		--swiper-pagination-bottom: -50px;
	}
}
.xlp .button-next,
.xlp .button-prev {
	position: absolute;
	z-index: 2;
	top: 50%;
	margin-top: -30px;
	user-select: none;
	background-color: rgba(0, 0, 0, 0.1);
	width: 60px;
	height: 60px;
	border-radius: 7px;
	cursor: pointer;
}
@media (max-width: 959px) {
	.xlp .button-next,
	.xlp .button-prev {
		margin-top: 0;
	}
}
.xlp .button-next:not(.swiper-button-disabled):active,
.xlp .button-prev:not(.swiper-button-disabled):active {
	margin-top: -29px;
}
@media (max-width: 959px) {
	.xlp .button-next:not(.swiper-button-disabled):active,
	.xlp .button-prev:not(.swiper-button-disabled):active {
		margin-top: 1px;
	}
}
.xlp .button-next:before,
.xlp .button-prev:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 20px 38px;
}
.xlp .button-prev {
	left: -15px;
}
.xlp .button-prev::before {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='41' height='76'%3E%3Cpath fill-rule='evenodd' d='M40.334 73.59 37.1 75.924 2.41 40.334.076 37.1l2.334-1.434L37.1.076l3.234 2.334L4.744 38z'/%3E%3C/svg%3E");
}
@media (max-width: 959px) {
	.xlp .button-prev {
		left: 0;
	}
}
.xlp .button-next {
	right: -15px;
}
.xlp .button-next::before {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='41' height='76'%3E%3Cpath fill-rule='evenodd' d='M38.59 40.334 2.1 75.924.666 73.59 36.256 38 .666 2.41 2.1.076 40.924 37.1z'/%3E%3C/svg%3E");
}
@media (max-width: 959px) {
	.xlp .button-next {
		right: 0;
	}
}
.xlp .swiper-button-disabled {
	opacity: 0.3;
	cursor: default;
}
